%global debug_package %{nil}

Name:           setup-tool-beta
Version:        2025.04.0
Release:        beta2
Summary:        A simple setup tool suit
BuildArch:      %{_target_cpu}

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp
Requires:       setup-tool-cli-beta
#Requires:       setup-tool-tui-beta
#Requires:       setup-tool-gui-beta
Requires:       libstp
Requires:       st-community-scripts
%if 0%{?fedora}
Requires: fastfetch
%endif

%description
A simple setup program for RPM-based distros.

%prep
%setup -q


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/doc/setup-tool-beta/
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/
mkdir -p %{buildroot}/%{_datadir}/applications/
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_sysconfdir}
gcc setup-tool-beta.c -I/usr/lib64/libstp -L/usr/lib64/libstp /usr/lib64/libstp/libstp-c.so -o setup-tool-beta
cp setup-tool-beta %{buildroot}/%{_bindir}
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}
cp README.md %{buildroot}/%{_datadir}/doc/%{name}
cp Setup-Tool-Beta.desktop %{buildroot}/%{_datadir}/applications
cp setup-tool-512.png %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps
cp setup-tool-128.png %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
cp setup-tool-beta.1 %{buildroot}/%{_mandir}/man1
cp setup-tool-beta.conf %{buildroot}/%{_sysconfdir}/
chmod -x %{buildroot}/%{_mandir}/man1/setup-tool-beta.1
chmod 666 %{buildroot}/%{_sysconfdir}/setup-tool-beta.conf

%files
%license %{_datadir}/licenses/setup-tool-beta/LICENSE
%doc %{_datadir}/doc/setup-tool-beta/README.md
%{_bindir}/setup-tool-beta
%{_datadir}/applications/Setup-Tool-Beta.desktop
%{_datadir}/icons/hicolor/512x512/apps/setup-tool-512.png
%{_datadir}/icons/hicolor/128x128/apps/setup-tool-128.png
%{_mandir}/man1/setup-tool-beta.1*
%{_sysconfdir}/setup-tool-beta.conf

%changelog
%autochangelog
